<html>

<head>
	<title>Radio Broadcaster</title>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css">
	<link rel="stylesheet" href="sick-styling.css">
</head>

<body>
	<div class="container">

		<h1>Radio Broadcaster</h1>
		<div>
			<button onclick="init()">Init Broadcast</button>
      <div id="broadcasterId"></div>
		</div>
    <video width="320" height="240" controls muted></video>

	</div>

	<script src="https://unpkg.com/peerjs@1.0.0/dist/peerjs.min.js"></script>
	<script>
    var streem;

    function init(){
      var broadcaster = new Peer("broadcaster097SALAMI");
      //console.log(broadcaster)
      broadcaster.on('open', (id) => {
        //console.log('open')
        document.getElementById('broadcasterId').innerHTML = id;
      });
      broadcaster.on('connection', (conn) => {
        conn.on('open', function() {
          conn.on('data', function(data) {
            // console.log('Received', data);
            onNewReceiver(data);
          });
          conn.send('CLOSE');
        });
      });
      getUserMedia({
        video: true,
        audio: true
      }, function (stream) {
        console.log(11111, stream)
        streem = stream;
        liveView();
      }, function (err) {
        console.log('Failed to get local stream', err);
      });
    }

		var getUserMedia = (function () {
			if (navigator.getUserMedia) {
				return navigator.getUserMedia.bind(navigator)
			}
			if (navigator.webkitGetUserMedia) {
				return navigator.webkitGetUserMedia.bind(navigator)
			}
			if (navigator.mozGetUserMedia) {
				return navigator.mozGetUserMedia.bind(navigator)
			}
		})();


		function call(receiver_to_call) {
      var peer = new Peer();
      var call = peer.call(receiver_to_call, streem);
			/*
      getUserMedia({
				video: true,
				audio: true
			}, function (stream) {
        console.log(11111, stream)
        var peer = new Peer();
				var call = peer.call(receiver_to_call, stream);
        console.log(call, 333333)
			}, function (err) {
				console.log('Failed to get local stream', err);
			});
      */
		}

    function onNewReceiver(receiverId) {
      call(receiverId);
    }

    /*function liveView() {
      var video = document.querySelector('video');
      video.srcObject = streem;
      video.onloadedmetadata = function (e) {
        video.play();
      }
    }*/

	</script>

</body>

</html>
